Page MenuHomePhabricator

(Need By: 2020-06-20) rack/setup/install thanos-be100[1234]
Closed, ResolvedPublic

Description

This task will track the racking, setup, and OS installation of thanos-be100[1234]

Hostname / Racking / Installation Details

Hostnames: thanos-be1001 / thanos-be1002 / thanos-be1003 / thanos-be1004
Racking Proposal: Any row will do, as long as they are diverse
Networking/Subnet/VLAN/IP: 10G, private vlan
Partitioning/Raid: partman/custom/ms-be.cfg
OS Distro: Buster

Per host setup checklist

Each host should have its own setup checklist copied and pasted into the list below.

thanos-be1001:

  • - receive in system on procurement task T249067
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged

thanos-be1002:

  • - receive in system on procurement task T249067
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged

thanos-be1003:

  • - receive in system on procurement task T249067
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, vlan)

*x* end on-site specific steps

  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged

thanos-be1004:

  • - receive in system on procurement task T249067
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged

Once the system(s) above have had all checkbox steps completed, this task can be resolved.

Related Objects

StatusSubtypeAssignedTask
ResolvedCmjohnson

Event Timeline

RobH created this task.May 1 2020, 4:30 PM
Restricted Application added a project: Operations. · View Herald TranscriptMay 1 2020, 4:30 PM
RobH moved this task from Backlog to Racking Tasks on the ops-eqiad board.May 1 2020, 4:31 PM
RobH removed a subscriber: RobH.
RobH renamed this task from (Due Date: TBD) rack/setup/install thanos-be100[123] to (Need By: TBD) rack/setup/install thanos-be100[123].May 1 2020, 5:21 PM
RobH added a parent task: Unknown Object (Task).
fgiunchedi renamed this task from (Need By: TBD) rack/setup/install thanos-be100[123] to (Need By: ASAP) rack/setup/install thanos-be100[123].May 18 2020, 9:21 AM
Jclark-ctr updated the task description. (Show Details)May 21 2020, 2:14 PM
Jclark-ctr added a subscriber: Jclark-ctr.

name rack_name position asset_tag switchport
thanos-be1001 A2 37 WMF4821 37
thanos-be1002 C2 32 WMF4820 31
thanos-be1003 C4 3 WMF4819 7
thanos-be1004 C4 18 WMF4818 38

Jclark-ctr updated the task description. (Show Details)May 28 2020, 1:56 PM

Change 601383 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Adding all dns for thanos-be100[1-4]

https://gerrit.wikimedia.org/r/601383

Change 601383 merged by Cmjohnson:
[operations/dns@master] Adding all dns for thanos-be100[1-4]

https://gerrit.wikimedia.org/r/601383

Cmjohnson updated the task description. (Show Details)Jun 1 2020, 6:11 PM

network switches are updated but they are disabled until I set up bios and image

fgiunchedi renamed this task from (Need By: ASAP) rack/setup/install thanos-be100[123] to (Need By: ASAP) rack/setup/install thanos-be100[1234].Jun 2 2020, 8:32 AM
fgiunchedi updated the task description. (Show Details)
fgiunchedi added a subscriber: fgiunchedi.

I just noticed three out of four hosts are in row C, we'll need one host per row though

wiki_willy renamed this task from (Need By: ASAP) rack/setup/install thanos-be100[1234] to (Need By: 2020-06-20) rack/setup/install thanos-be100[1234].Jun 8 2020, 8:26 PM

Change 603648 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Adding thanos-be100[1-4] to site.pp

https://gerrit.wikimedia.org/r/603648

Change 603648 merged by Cmjohnson:
[operations/puppet@production] Adding thanos-be100[1-4] to site.pp

https://gerrit.wikimedia.org/r/603648

Change 603656 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Add thanos-be100[1234] to dhcpd file

https://gerrit.wikimedia.org/r/603656

Change 603656 merged by Cmjohnson:
[operations/puppet@production] Add thanos-be100[1234] to dhcpd file

https://gerrit.wikimedia.org/r/603656

Script wmf-auto-reimage was launched by cmjohnson on cumin1001.eqiad.wmnet for hosts:

thanos-be1001.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/202006082311_cmjohnson_178934_thanos-be1001_eqiad_wmnet.log.

Script wmf-auto-reimage was launched by cmjohnson on cumin1001.eqiad.wmnet for hosts:

thanos-be1002.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/202006082314_cmjohnson_179153_thanos-be1002_eqiad_wmnet.log.

Script wmf-auto-reimage was launched by cmjohnson on cumin1001.eqiad.wmnet for hosts:

thanos-be1003.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/202006082315_cmjohnson_179420_thanos-be1003_eqiad_wmnet.log.

Script wmf-auto-reimage was launched by cmjohnson on cumin1001.eqiad.wmnet for hosts:

thanos-be1001.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/202006082321_cmjohnson_179961_thanos-be1001_eqiad_wmnet.log.

Script wmf-auto-reimage was launched by cmjohnson on cumin1001.eqiad.wmnet for hosts:

thanos-be1002.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/202006082321_cmjohnson_180028_thanos-be1002_eqiad_wmnet.log.

Script wmf-auto-reimage was launched by cmjohnson on cumin1001.eqiad.wmnet for hosts:

thanos-be1003.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/202006082321_cmjohnson_180059_thanos-be1003_eqiad_wmnet.log.

Script wmf-auto-reimage was launched by cmjohnson on cumin1001.eqiad.wmnet for hosts:

thanos-be1004.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/202006082322_cmjohnson_180257_thanos-be1004_eqiad_wmnet.log.

@Jclark-ctr

Please move these 2 servers
thanos-be1002 from C2 to B2
thanos-be1004 from C4 to D7

thanos-be1002 b2 u36 switchport 39
thanos-be1004 d7 u11 switchport 13

Change 604091 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Updating dns for thanos-be1002/1004 to reflect rack change

https://gerrit.wikimedia.org/r/604091

Change 604091 merged by Cmjohnson:
[operations/dns@master] Updating dns for thanos-be1002/1004 to reflect rack change

https://gerrit.wikimedia.org/r/604091

Script wmf-auto-reimage was launched by cmjohnson on cumin1001.eqiad.wmnet for hosts:

thanos-be1001.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/202006091850_cmjohnson_77823_thanos-be1001_eqiad_wmnet.log.

Script wmf-auto-reimage was launched by cmjohnson on cumin1001.eqiad.wmnet for hosts:

thanos-be1002.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/202006091852_cmjohnson_79196_thanos-be1002_eqiad_wmnet.log.

Script wmf-auto-reimage was launched by cmjohnson on cumin1001.eqiad.wmnet for hosts:

thanos-be1003.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/202006091909_cmjohnson_94010_thanos-be1003_eqiad_wmnet.log.

Completed auto-reimage of hosts:

['thanos-be1001.eqiad.wmnet']

and were ALL successful.

Script wmf-auto-reimage was launched by cmjohnson on cumin1001.eqiad.wmnet for hosts:

thanos-be1004.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/202006091912_cmjohnson_97278_thanos-be1004_eqiad_wmnet.log.

Completed auto-reimage of hosts:

['thanos-be1002.eqiad.wmnet']

and were ALL successful.

Completed auto-reimage of hosts:

['thanos-be1003.eqiad.wmnet']

and were ALL successful.

Completed auto-reimage of hosts:

['thanos-be1004.eqiad.wmnet']

and were ALL successful.

Cmjohnson closed this task as Resolved.Jun 9 2020, 7:37 PM
Cmjohnson updated the task description. (Show Details)

These are all finsihed

Script wmf-auto-reimage was launched by cmjohnson on cumin1001.eqiad.wmnet for hosts:

thanos-fe1001.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/202006101351_cmjohnson_43749_thanos-fe1001_eqiad_wmnet.log.

Completed auto-reimage of hosts:

['thanos-fe1001.eqiad.wmnet']

and were ALL successful.